tosca_definitions_version: tosca_simple_yaml_1_0

data_types:

  MyData:
    properties:
      field:
        type: string
        default: default value

relationship_types:

  MyRelationship:
    interfaces:
      Configure:
        type: tosca.interfaces.relationship.Configure
        add_target:
          inputs:
            my_input:
              type: MyData

capability_types:

  MyCapability: {}

node_types:

  MyNode1:
    capabilities:
      my_capability: MyCapability

  MyNode2:
    requirements:
      - my_requirement:
          capability: MyCapability
          relationship: MyRelationship

topology_template:

  node_templates:

    my_node1:
      type: MyNode1

    my_node2:
      type: MyNode2
      requirements:
        - my_requirement:
            relationship:
              interfaces:
                Configure:
                  add_target:
                    inputs:
                      my_input:
                        field: assigned value

